View Issue Details

IDProjectCategoryView StatusLast Update
0006178Kali Linux[All Projects] Kali Package Bugpublic2020-04-23 19:16
Reporterant12 Assigned Torhertzog  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product Version2020.1 
Target VersionFixed in Version 
Summary0006178: Some Mate control-center applets won't start after upgrade from 1.22 to 1.24
DescriptionControl-Center -> Displays or Keyboard Shortcuts can't be launched.
Control-Center -> Power Management or Sound do work.

I didn't check all the applets. The root cause should be the same for all those which can't be opened.

It looks like the upgrade from 1.22 to 1.24 either failed to include some .ui files. See Additional Info section 4 for the errors when running the applets from cli.

Or the control-center package wasn't not included in the upgrade process. See section 3.
mate-control-center vs. mate-control-center-common versions.

Just a speculation without any deeper understanding.

Thanks
Steps To ReproduceOpen Control-Center, click on Displays or Keyboard Shortcuts.
Starting the applet from System -> Preferences -> Displays also fails.
Additional Information1.--------------------------------------------
root@kal1234:/etc# lsb_release -a
No LSB modules are available.
Distributor ID: Kali
Description: Kali GNU/Linux Rolling
Release: 2020.1
Codename: kali-rolling

2.--------------------------------------------
root@kal1234:/etc# uname -a
Linux kal1234 4.19.0-kali4-amd64 0000001 SMP Debian 4.19.28-2kali1 (2019-03-18) x86_64 GNU/Linux

3.--------------------------------------------
root@kal1234:~# dpkg -l | grep mate-control
ii mate-control-center 1.20.4-2 amd64 utilities to configure the MATE desktop
ii mate-control-center-common 1.24.0-1 all utilities to configure the MATE desktop (common files)

4.--------------------------------------------
ant@kal1234:share$ mate-display-properties

(mate-display-properties:18433): display-properties-WARNING **: 21:27:07.866: Could not parse UI definition: Failed to open file “/usr/share/mate-control-center/ui/display-capplet.ui”: No such file or directory

ant@kal1234:share$ mate-keybinding-properties

(mate-keybinding-properties:20488): keybinding-properties-WARNING **: 21:36:06.087: Could not load UI: Failed to open file “/usr/share/mate-control-center/ui/mate-keybinding-properties.ui”: No such file or directory

5.--------------------------------------------
ant@kal1234:mate-control-center$ pwd
/usr/share/mate-control-center
ant@kal1234:mate-control-center$ ll
total 24
drwxr-xr-x 4 root root 4096 Mar 9 10:01 .
drwxr-xr-x 407 root root 12288 Mar 9 20:33 ..
drwxr-xr-x 2 root root 4096 Mar 9 10:01 keybindings
drwxr-xr-x 2 root root 4096 Mar 9 10:01 pixmaps

--------------------------------------------

Activities

ant12

2020-04-23 18:48

reporter   ~0012666

Recent update, upgrade, dist-upgrade fixed this issue.

                                                                                                                                  
libmate-desktop-2-17/kali-rolling,now 1.24.0-2 amd64 [installed,automatic]
libmate-menu2/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
libmate-panel-applet-4-1/kali-rolling,now 1.24.0-2 amd64 [installed,automatic]
libmate-slab0/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
libmate-window-settings1/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
libmatedict6/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
libmatekbd-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
libmatekbd4/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
libmatemixer-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
libmatemixer0/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
libmateweather-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
libmateweather1/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
mate-applet-brisk-menu/kali-rolling,now 0.6.0-2 amd64 [installed,automatic]
mate-applets-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-applets/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
mate-backgrounds/kali-rolling,now 1.24.1-1 all [installed,automatic]
mate-calc-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-calc/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
mate-control-center-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-control-center/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
mate-desktop-common/kali-rolling,now 1.24.0-2 all [installed,automatic]
mate-desktop-environment-core/kali-rolling,now 1.24.0+1 all [installed,automatic]
mate-desktop-environment/kali-rolling,now 1.24.0+1 all [installed]
mate-desktop/kali-rolling,now 1.24.0-2 amd64 [installed,automatic]
mate-icon-theme-faenza/now 1.20.0+dfsg1-2 all [installed,local]
mate-icon-theme/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-media-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-media/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
mate-menus/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-notification-daemon-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-notification-daemon/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
mate-panel-common/kali-rolling,now 1.24.0-2 all [installed,automatic]
mate-panel/kali-rolling,now 1.24.0-2 amd64 [installed,automatic]
mate-polkit-common/kali-rolling,now 1.24.0-2 amd64 [installed,automatic]
mate-polkit/kali-rolling,now 1.24.0-2 amd64 [installed,automatic]
mate-power-manager-common/kali-rolling,now 1.24.1-1 all [installed,automatic]
mate-power-manager/kali-rolling,now 1.24.1-1 amd64 [installed,automatic]
mate-screensaver-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-screensaver/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
mate-session-manager/kali-rolling,now 1.24.0-2 amd64 [installed,automatic]
mate-settings-daemon-common/kali-rolling,now 1.24.0-2 all [installed,automatic]
mate-settings-daemon/kali-rolling,now 1.24.0-2 amd64 [installed,automatic]
mate-system-monitor-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-system-monitor/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]
mate-terminal-common/kali-rolling,now 1.24.0-3 all [installed,automatic]
mate-terminal/kali-rolling,now 1.24.0-3 amd64 [installed,automatic]
mate-themes/kali-rolling,now 3.22.21-1 all [installed,automatic]
mate-user-guide/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-utils-common/kali-rolling,now 1.24.0-1 all [installed,automatic]
mate-utils/kali-rolling,now 1.24.0-1 amd64 [installed,automatic]

ant12

2020-04-23 18:50

reporter   ~0012667

This issues can be closed. I'm probably not able to do it myself.

rhertzog

2020-04-23 19:16

administrator   ~0012668

Thanks for the notification, closing.

Issue History

Date Modified Username Field Change
2020-03-09 20:59 ant12 New Issue
2020-04-23 18:48 ant12 Note Added: 0012666
2020-04-23 18:50 ant12 Note Added: 0012667
2020-04-23 19:16 rhertzog Assigned To => rhertzog
2020-04-23 19:16 rhertzog Status new => closed
2020-04-23 19:16 rhertzog Resolution open => no change required
2020-04-23 19:16 rhertzog Note Added: 0012668